time = ""
trying = - 14
routerPin = 4
lightPin = 3
restarting = 0
gpio.mode(routerPin,gpio.OUTPUT)
gpio.mode(lightPin,gpio.OUTPUT)
gpio.write(lightPin,gpio.LOW)
servrs = {"www.google.com", "ya.ru", "www.yahoo.com"}
svNow = 1

function check(srv)
    net.dns.resolve(srv, function(sk, ip)
        if (ip == nil) then 
            print("DNS fail!") 
        else 
            print("Got IP: "..ip)
            trying, restarting = 0, 0
        end
    end)
end

function restartRouter()
    tmr.stop(0)
    gpio.write(routerPin,gpio.LOW)
    gpio.write(lightPin,gpio.HIGH)
    restarting = restarting + 1
    print("Restart No "..restarting)
    tmr.alarm(6, 10000, 0, function() 
        gpio.write(lightPin,gpio.LOW)
        gpio.write(routerPin,gpio.HIGH)
        if restarting == 1 then
            trying = -14
        elseif restarting == 2 then
            trying = -28
        else
            trying = -120
        end
        tmr.start(0)
        print("Exit Restart Router!")
    end)
end

check(servrs[svNow])

tmr.alarm(0, 30000, 1, function()
    trying = trying + 1
    print("Trying: "..trying)
    svNow = svNow + 1
    if svNow == 4 then svNow = 1 end
    
    ip = wifi.sta.getip()
    print("Got ip:", ip)
    if ((ip=="0.0.0.0" or ip==nil) and trying > 0) or trying > 3  then
        restartRouter()
    else
        print("Check conection with "..servrs[svNow])
        check(servrs[svNow])
    end
end)
